Main Page Widgets glibmm Namespaces Book

# fileinfo.h File Reference

## Namespaces

namespace | Gio
namespace | Glib

## Classes

class | Gio::FileAttributeMatcher
| FileAttributeMatcher allows for searching through a FileInfo for attributes. More...
class | Gio::FileInfo
| FileInfo implements methods for getting information that all files should contain, and allows for manipulation of extended attributes. More...

## Enumerations

enum | Gio::FileType { Gio::FILE_TYPE_UNKNOWN, Gio::FILE_TYPE_REGULAR, Gio::FILE_TYPE_DIRECTORY, Gio::FILE_TYPE_SYMBOLIC_LINK, Gio::FILE_TYPE_SPECIAL, Gio::FILE_TYPE_SHORTCUT, Gio::FILE_TYPE_MOUNTABLE }